# Uses of Class
javassist.bytecode.BootstrapMethodsAttribute.BootstrapMethod

Packages that use BootstrapMethodsAttribute.BootstrapMethod
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of BootstrapMethodsAttribute.BootstrapMethod in javassist.bytecode

Methods in javassist.bytecode that return BootstrapMethodsAttribute.BootstrapMethod
Modifier and Type
Method
Description
`BootstrapMethodsAttribute.BootstrapMethod[]`
BootstrapMethodsAttribute.`getMethods()`
Obtains `bootstrap_methods` in this attribute.
Constructors in javassist.bytecode with parameters of type BootstrapMethodsAttribute.BootstrapMethod
Modifier
Constructor
Description
``
`BootstrapMethodsAttribute(ConstPool cp, BootstrapMethodsAttribute.BootstrapMethod[] methods)`
Constructs a BootstrapMethods attribute.